import type { Component } from 'solid-js';
import { Routes, Route, Navigate } from '@solidjs/router';
import Map from './components/map';

const App: Component = () => {
  return (
    <Routes>
      <Route path='/map/:lon/:lat/:zoom/:rotation' component={Map} />
      <Route path='/*' element={<Navigate href='/map/0/0/1/0' />} />
    </Routes>
  );
};

export default App;
